Closed Bug 1031952 Opened 6 years ago Closed 6 years ago

Remove obsolete TLS cipher suite preferences

Categories

(Core :: Security: PSM, defect, trivial)

defect
Not set
trivial

Tracking

()

RESOLVED FIXED
mozilla33

People

(Reporter: briansmith, Assigned: briansmith)

References

Details

Attachments

(1 file)

These preferences were retained to mitigate risk while we assessed the compatibility impact of the new cipher suite list. Now we've verified that they are not needed for compatibility.
Attachment #8447771 - Flags: review?(dkeeler)
Comment on attachment 8447771 [details] [diff] [review]
remove-obsolete-cipher-suites.patch

Review of attachment 8447771 [details] [diff] [review]:
-----------------------------------------------------------------

LGTM.
Attachment #8447771 - Flags: review?(dkeeler) → review+
(In reply to Wes Kocher (:KWierso) from comment #3)
> Backed out in
> https://hg.mozilla.org/integration/mozilla-inbound/rev/58806b74674b because
> something from this push (this bug, or bug 1019770 or bug 1032947) broke the
> build: 
> https://tbpl.mozilla.org/php/getParsedLog.php?id=42894750&tree=Mozilla-
> Inbound

It was bug 1019770. Here's the try run:
https://tbpl.mozilla.org/?tree=Try&rev=f2440dd37af0
Linux 64 opt (Hf) failures are due to another checkin.
Flags: needinfo?(brian)
Keywords: checkin-needed
https://hg.mozilla.org/mozilla-central/rev/f330937acfdf
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.